Eclipse Platform Release 3.7

## org.eclipse.jface.databinding.viewers
Class ListeningLabelProvider

    java.lang.Object
      org.eclipse.jface.internal.databinding.provisional.viewers.ViewerLabelProvider
          org.eclipse.jface.databinding.viewers.ListeningLabelProvider

All Implemented Interfaces:
  IBaseLabelProvider, ILabelProvider, IViewerLabelProvider

    public abstract class ListeningLabelProvider

extends org.eclipse.jface.internal.databinding.provisional.viewers.ViewerLabelProvider

Since:
  1.1

Constructor Summary
`ListeningLabelProvider(IObservableSet itemsThatNeedLabels)`

Method Summary
`protected abstract void` `addListenerTo(Object next)`
`void` `dispose()` Disposes of this label provider.
`protected abstract void` `removeListenerFrom(Object next)`

Methods inherited from class org.eclipse.jface.internal.databinding.provisional.viewers.ViewerLabelProvider
`addListener, fireChangeEvent, getImage, getText, isLabelProperty, removeListener, updateLabel`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ListeningLabelProvider

    public ListeningLabelProvider(IObservableSet itemsThatNeedLabels)

Parameters:
  `itemsThatNeedLabels` -

Method Detail

### removeListenerFrom

    protected abstract void removeListenerFrom(Object next)

  Parameters:
    `next` -

### addListenerTo

    protected abstract void addListenerTo(Object next)

  Parameters:
    `next` -

### dispose

    public void dispose()

  Description copied from interface: `IBaseLabelProvider`
  Disposes of this label provider. When a label provider is attached to a viewer, the viewer will automatically call this method when the viewer is being closed. When label providers are used outside of the context of a viewer, it is the client's responsibility to ensure that this method is called when the provider is no longer needed.

  Specified by:
    `dispose` in interface `IBaseLabelProvider`
  Overrides:
    `dispose` in class `org.eclipse.jface.internal.databinding.provisional.viewers.ViewerLabelProvider`

Eclipse Platform Release 3.7

Guidelines for using Eclipse APIs.

Copyright (c) Eclipse contributors and others 2000, 2011. All rights reserved.